Can't seem to get MakeHuman Plugin for Blender (2.8) running

Discussions about MakeHuman and Blender. It is ok to ask for general Blender support here, even if it isn't directly related to MakeHuman

Can't seem to get MakeHuman Plugin for Blender (2.8) running

Postby SaltyCowdawg » Mon Nov 25, 2019 3:17 pm

First: a rant. I hate Python with an all burning passion because of its extreme symptoms of versionitis. I right now have both Python 2.8 and Python 3.8 on my system and I've done a symlink so /usr/bin/python points to the 3.x. Thiis all in my attempt to get the plugin working.

end of rant


I don't seem to be able to copy/paste the errors Blender is spewing when I try to activate the MakeHuman for blender plugin but the crux of it seems to be in its inability to load "multiarray" from numpy.core. So I chased around the internet checking out other folks who have run into this symptom and haven't gotten anywhere.

I'm running Ubuntu 18.04 on my desktop.

Thoughts anybody?
Peter L. Berghold <peter@berghold.net> or <Salty.Cowdawg@gmail.com>
Wannabe Science Fiction Author, Brewer of Belgian Style Ales, BBQ Fanatic and Dog Enthusiast
http://science-fiction.berghold.net
User avatar
SaltyCowdawg
 
Posts: 341
Joined: Fri Aug 09, 2013 3:12 pm
Location: Tinton Falls, NJ

Re: Can't seem to get MakeHuman Plugin for Blender (2.8) run

Postby joepal » Mon Nov 25, 2019 4:09 pm

In case you are trying to run Ubuntu's deb packaged blender: don't. You are better off downloading a zip file from blender and run that.

If not, try starting blender from a terminal prompt to catch the error output.
Joel Palmius (LinkedIn)
MakeHuman Infrastructure Manager
http://www.palmius.com/joel
joepal
 
Posts: 3608
Joined: Wed Jun 04, 2008 11:20 am

Re: Can't seem to get MakeHuman Plugin for Blender (2.8) run

Postby SaltyCowdawg » Mon Nov 25, 2019 5:44 pm

Messages from where /usr/bin/python is lined to Python 3.x

Code: Select all

Read prefs: /home/peter/.config/blender/2.82/config/userpref.blend
Loading MHX2 importer-runtime v 0.30
build loaded
MHX2 armature loaded
MHX2 successfully (re)loaded
Rock Generator: Numpy not found.  Using Python's random.
Rock generator settings file found:
/usr/share/blender/2.82/scripts/addons_contrib/add_mesh_rocks/add_mesh_rocks.xml
Rock Generator: Numpy not found.  Using Python's random.
Loading MH community plug-in v 0.6.2
Loading sync plug-in
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/numpy/core/__init__.py", line 16, in <module>
    from . import multiarray
ImportError: cannot import name 'multiarray' from 'numpy.core' (/usr/lib/python3/dist-packages/numpy/core/__init__.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/blender/2.82/scripts/modules/addon_utils.py", line 351, in enable
    mod = __import__(module_name)
  File "/home/peter/.config/blender/2.82/scripts/addons/MH_Community/__init__.py", line 22, in <module>
    from . import mh_sync # directory
  File "/home/peter/.config/blender/2.82/scripts/addons/MH_Community/mh_sync/__init__.py", line 21, in <module>
    from . import import_body_binary
  File "/home/peter/.config/blender/2.82/scripts/addons/MH_Community/mh_sync/import_body_binary.py", line 15, in <module>
    import numpy as np
  File "/usr/lib/python3/dist-packages/numpy/__init__.py", line 142, in <module>
    from . import add_newdocs
  File "/usr/lib/python3/dist-packages/numpy/add_newdocs.py", line 13, in <module>
    from numpy.lib import add_newdoc
  File "/usr/lib/python3/dist-packages/numpy/lib/__init__.py", line 8, in <module>
    from .type_check import *
  File "/usr/lib/python3/dist-packages/numpy/lib/type_check.py", line 11, in <module>
    import numpy.core.numeric as _nx
  File "/usr/lib/python3/dist-packages/numpy/core/__init__.py", line 26, in <module>
    raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control).  Otherwise reinstall numpy.

Original error was: cannot import name 'multiarray' from 'numpy.core' (/usr/lib/python3/dist-packages/numpy/core/__init__.py)


Saved session recovery to '/home/tmp/quit.blend'
Writing userprefs: '/home/peter/.config/blender/2.82/config/userpref.blend' ok

Blender quit



Linked it back to 2.x

Code: Select all
ead prefs: /home/peter/.config/blender/2.82/config/userpref.blend
Loading MHX2 importer-runtime v 0.30
build loaded
MHX2 armature loaded
MHX2 successfully (re)loaded
Rock Generator: Numpy not found.  Using Python's random.
Rock generator settings file found:
/usr/share/blender/2.82/scripts/addons_contrib/add_mesh_rocks/add_mesh_rocks.xml
Rock Generator: Numpy not found.  Using Python's random.
Loading MH community plug-in v 0.6.2
Loading sync plug-in
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/numpy/core/__init__.py", line 16, in <module>
    from . import multiarray
ImportError: cannot import name 'multiarray' from 'numpy.core' (/usr/lib/python3/dist-packages/numpy/core/__init__.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/blender/2.82/scripts/modules/addon_utils.py", line 351, in enable
    mod = __import__(module_name)
  File "/home/peter/.config/blender/2.82/scripts/addons/MH_Community/__init__.py", line 22, in <module>
    from . import mh_sync # directory
  File "/home/peter/.config/blender/2.82/scripts/addons/MH_Community/mh_sync/__init__.py", line 21, in <module>
    from . import import_body_binary
  File "/home/peter/.config/blender/2.82/scripts/addons/MH_Community/mh_sync/import_body_binary.py", line 15, in <module>
    import numpy as np
  File "/usr/lib/python3/dist-packages/numpy/__init__.py", line 142, in <module>
    from . import add_newdocs
  File "/usr/lib/python3/dist-packages/numpy/add_newdocs.py", line 13, in <module>
    from numpy.lib import add_newdoc
  File "/usr/lib/python3/dist-packages/numpy/lib/__init__.py", line 8, in <module>
    from .type_check import *
  File "/usr/lib/python3/dist-packages/numpy/lib/type_check.py", line 11, in <module>
    import numpy.core.numeric as _nx
  File "/usr/lib/python3/dist-packages/numpy/core/__init__.py", line 26, in <module>
    raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control).  Otherwise reinstall numpy.

Original error was: cannot import name 'multiarray' from 'numpy.core' (/usr/lib/python3/dist-packages/numpy/core/__init__.py)


Saved session recovery to '/home/tmp/quit.blend'
Writing userprefs: '/home/peter/.config/blender/2.82/config/userpref.blend' ok

Blender quit



I believe numpy was loaded by the Ubuntu originally when I built the machine and not a conscious choice on my own.
Peter L. Berghold <peter@berghold.net> or <Salty.Cowdawg@gmail.com>
Wannabe Science Fiction Author, Brewer of Belgian Style Ales, BBQ Fanatic and Dog Enthusiast
http://science-fiction.berghold.net
User avatar
SaltyCowdawg
 
Posts: 341
Joined: Fri Aug 09, 2013 3:12 pm
Location: Tinton Falls, NJ

Re: Can't seem to get MakeHuman Plugin for Blender (2.8) run

Postby Aranuvir » Mon Nov 25, 2019 6:17 pm

It's not a bug of MakeHuman or its plug-ins. We cannot fix it. It's a problem of Blender/Linux/Debian/Ubuntu packaging. Please report here: https://developer.blender.org/maniphest ... /type/Bug/
BTW, Blender 2.82 is still rather alpha...

Moving this topic to the blender section.
Aranuvir
 
Posts: 1077
Joined: Sun Oct 12, 2014 2:12 pm

Re: Can't seem to get MakeHuman Plugin for Blender (2.8) run

Postby SaltyCowdawg » Mon Nov 25, 2019 7:02 pm

I was afraid you were going to say that. It was my first hunch. Arrgh...


Thanks anyway.
Peter L. Berghold <peter@berghold.net> or <Salty.Cowdawg@gmail.com>
Wannabe Science Fiction Author, Brewer of Belgian Style Ales, BBQ Fanatic and Dog Enthusiast
http://science-fiction.berghold.net
User avatar
SaltyCowdawg
 
Posts: 341
Joined: Fri Aug 09, 2013 3:12 pm
Location: Tinton Falls, NJ

Re: Can't seem to get MakeHuman Plugin for Blender (2.8) run

Postby loki1950 » Mon Nov 25, 2019 9:24 pm

I haven't used any of the distro available packages for years now for any Linux distro they all have behaviour that is not blender standard and they are rarely the latest version get the blender Linux tarbal then extract it to a blender folder that you create in /opt each version of blender then has it's own folder so then you have multiple versions available you do have to create your own menu and desktop launchers though they should point to blender-softwaregl which is a starter script.

Enjoy the Choice :)
my box::HP Envy i5-6400 @2Q70GHzx4 8 Gb ram/1 Tb(Win10 64)/3 Tb Mint 19.2/GTX745 4Gb acer S243HL K222HQL
Q8200/Asus P5QDLX/8 Gb ram/WD 2Tb 2-500 G HD/GF GT640 2Gb Mint 17.3 64 bit Win 10 32 bit acer and Lenovo Ideapad 320-15ABR Win 10/Mint 19
User avatar
loki1950
 
Posts: 947
Joined: Thu Dec 18, 2014 6:27 pm
Location: Ottawa,Ontario

Re: Can't seem to get MakeHuman Plugin for Blender (2.8) run

Postby SaltyCowdawg » Mon Nov 25, 2019 10:09 pm

Well Joe was right. It was blender packaging and perhaps even a bug with 2.82 itself. I was quite happy to see the human I had in MH pull right in and have the import do all the right things.

Thanks gang.
Peter L. Berghold <peter@berghold.net> or <Salty.Cowdawg@gmail.com>
Wannabe Science Fiction Author, Brewer of Belgian Style Ales, BBQ Fanatic and Dog Enthusiast
http://science-fiction.berghold.net
User avatar
SaltyCowdawg
 
Posts: 341
Joined: Fri Aug 09, 2013 3:12 pm
Location: Tinton Falls, NJ


Return to Blender

Who is online

Users browsing this forum: Philipy and 1 guest

cron